%define name nabi
%define version 0.11
%define release 4
%define prefix /usr

Summary: Simple Hangul X Input Method
Name: %{name}
Version: %{version}
Release: %{release}

Group: User Interface/X

Copyright: GPL
URL: http://nabi.kldp.net
Source: http://download.kldp.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires: gtk2-devel >= 2.2.0

BuildRoot:  /var/tmp/%{name}-root

%description
Nabi is a simple XIM for Korean, implemented with GTK+2.
It can dock in the notification area, and also show the
status of imhangul(See also http://imhangul.kldp.net).

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%{prefix}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

# Nabi shortcut menu

mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cat >$RPM_BUILD_ROOT/usr/share/applications/nabi.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Nabi
Comment=Simple Hangul XIM
Exec=nabi
Icon=/usr/share/nabi/nabi.png
Terminal=false
Type=Application
Categories=Application;System;X-Red-Hat-Base;
EOF
# End of nabi.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{prefix}/bin/nabi
%{prefix}/share/nabi
%{prefix}/share/locale/*/LC_MESSAGES/nabi.mo
/usr/share/applications/nabi.desktop


%changelog
* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Dec 02 2003 David Joo <djoo@redhat.com> 0.11-3
- Packaged against Fedora Core2

* Sat Nov 29 2003 DongCheon Park <pdc@kaist.ac.kr> 0.11-1pdc
- updated to 0.11 release

* Sat Nov 29 2003 DongCheon Park <pdc@kaist.ac.kr> 0.10-2pdc
- fixed BuildRequires

* Sun Nov 09 2003 DongCheon Park <pdc@kaist.ac.kr> 0.10-1pdc
- updated to 0.10 release

* Mon Oct 20 2003 DongCheon Park <pdc@kaist.ac.kr> 0.9-2pdc
- added RedHat/Mandrake specific entries

* Wed Oct 15 2003 DongCheon Park <pdc@kaist.ac.kr> 0.9-1pdc
- updated to 0.9 release

* Thu Oct 09 2003 DongCheon Park <pdc@kaist.ac.kr> 0.8-1pdc
- updated to 0.8 release

* Fri Sep 26 2003 DongCheon Park <pdc@kaist.ac.kr> 0.7-1pdc
- updated to 0.7 release

* Tue Sep 16 2003 DongCheon Park <pdc@kaist.ac.kr> 0.6-1pdc
- updated to 0.6 release

* Mon Sep 08 2003 DongCheon Park <pdc@kaist.ac.kr> 0.5-1pdc
- updated to 0.5 release

* Wed Sep 03 2003 DongCheon Park <pdc@kaist.ac.kr> 0.4-2pdc
- cleaned up nabi.spec

* Wed Aug 27 2003 DongCheon Park <pdc@kaist.ac.kr> 0.4-1pdc
- updated to 0.4 release

* Mon Aug 11 2003 DongCheon Park <pdc@kaist.ac.kr> 0.3-1pdc
- updated to 0.3 release

* Sat Aug 09 2003 DongCheon Park <pdc@kaist.ac.kr> 0.2-1pdc
- updated to 0.2 release

* Thu Aug 07 2003 DongCheon Park <pdc@kaist.ac.kr> 0.1-1pdc
- initial build

